Verify authentication domain DNS records
POST /api/domains/{domain}/verify-auth-domain
Verify DKIM, SPF, and MX DNS records for authentication domain
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ”Example
example.comDomain name that must be owned by the authenticated user. The domain must be verified and properly configured for email sending.
Responses
Section titled “ Responses ”Auth domain DNS verification completed
object
Authentication domain DNS record validation results
object
Whether authentication domain DKIM record is valid and properly configured
Example
trueWhether authentication domain SPF record is valid and properly configured
Example
trueWhether authentication domain MX record is valid and properly configured
Example
trueUnauthorized
object
Error type indicating authentication failure
Example
UnauthorizedHuman-readable error message explaining the authentication issue
Example
Authorization header is requiredDomain not found
object
Example
Domain not foundValidation Error
object
Indicates the request failed due to validation errors
Human-readable error message
Example
Validation failed.Field-specific validation error messages organized by field name
object
Too Many Requests - Rate limit exceeded. Retry after the specified time.
object
Example
Too many attempts. Please try again later.Headers
Section titled “Headers ”Seconds until rate limit resets
Maximum requests per minute
Remaining requests in current window
Server Error
object
Indicates the request failed due to a server error
Human-readable error message describing the server error
Example
An error occurred while processing the request.